
QGIS Application - Bug report #4622

Labelling expression: toint() produces negative values

2011-12-09 04:20 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14524

Description

Displaying a numeric fields is ok. Applying toint(the_same_field) produces some incorrectly negative values, in a non obvious pattern.

Related issues:

Related to QGIS Application - Bug report # 3132: Field calculator cannot calc... Closed

Associated revisions

Revision 18451fdb - 2012-01-08 10:46 AM - Jürgen Fischer

fix #4622

History

#1 - 2011-12-09 08:16 AM - Paolo Cavallini

- Category set to Labelling

#2 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-01-07 04:37 AM - Martin Dobias

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

Unable to reproduce. Please attach some test data and instructions.

#4 - 2012-01-08 12:54 AM - Paolo Cavallini

- File butta.tar.gz added

The expression is:

  toint(  $area  ) 

The result is:

-475140599

Sample attached.

#5 - 2012-01-08 03:02 AM - Jürgen Fischer
- Status changed from Open to Closed

- % Done changed from 0 to 100

Fixed in changeset commit:"18451fdb0267f6c6fbae692a43346b9145e68052".

Files

butta.tar.gz 51.2 KB 2012-01-07 Paolo Cavallini
